From 21859cd1b108c2073dfd5fd197714c2b391e3824 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ren=C3=A9=20Dudfield?= <renesd@gmail.com>
Date: Tue, 21 May 2024 10:24:52 +0200
Subject: [PATCH 1/3] test: Fix numpy.alltrue imports to import all instead
 thanks @mgorny

---
 test/pixelcopy_test.py | 2 +-
 test/sndarray_test.py  | 2 +-
 test/surfarray_test.py | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/test/pixelcopy_test.py b/test/pixelcopy_test.py
index 6510fd99..46051cd4 100644
--- a/test/pixelcopy_test.py
+++ b/test/pixelcopy_test.py
@@ -534,7 +534,7 @@ class PixelCopyTestWithArrayNumpy(unittest.TestCase):
 
     def test_map_array(self):
         try:
-            from numpy import array, zeros, uint8, int32, alltrue
+            from numpy import array, zeros, uint8, int32, all as alltrue
         except ImportError:
             return
 
diff --git a/test/sndarray_test.py b/test/sndarray_test.py
index 5b624caf..7a7a51f3 100644
--- a/test/sndarray_test.py
+++ b/test/sndarray_test.py
@@ -1,6 +1,6 @@
 import unittest
 
-from numpy import int8, int16, uint8, uint16, float32, array, alltrue
+from numpy import int8, int16, uint8, uint16, float32, array, all as alltrue
 
 import pygame
 import pygame.sndarray
diff --git a/test/surfarray_test.py b/test/surfarray_test.py
index 0863da77..a9d53fc4 100644
--- a/test/surfarray_test.py
+++ b/test/surfarray_test.py
@@ -9,7 +9,7 @@ from numpy import (
     zeros,
     float32,
     float64,
-    alltrue,
+    all as alltrue,
     rint,
     arange,
 )
-- 
2.45.2

From 4a2ede7b8a1e90c77ab90aadd9c26a2757124923 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ren=C3=A9=20Dudfield?= <renesd@gmail.com>
Date: Sun, 2 Jun 2024 13:15:26 +0200
Subject: [PATCH 2/3] sndarray_test: Fix some overflowed data sizes

---
 test/sndarray_test.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/test/sndarray_test.py b/test/sndarray_test.py
index 7a7a51f3..57eb71c3 100644
--- a/test/sndarray_test.py
+++ b/test/sndarray_test.py
@@ -41,7 +41,7 @@ class SndarrayTest(unittest.TestCase):
             16, 2, [[0, 0xFFFF], [0xFFFF, 0], [0x00FF, 0xFF00], [0x0F0F, 0xF0F0]]
         )
         check_array(-8, 1, [0, -0x80, 0x7F, 0x64])
-        check_array(-8, 2, [[0, -0x80], [-0x64, 0x64], [0x25, -0x50], [0xFF, 0]])
+        check_array(-8, 2, [[0, -0x80], [-0x64, 0x64], [0x25, -0x50], [-1, 0]])
         check_array(-16, 1, [0, 0x7FFF, -0x7FFF, -1])
         check_array(-16, 2, [[0, -0x7FFF], [-0x7FFF, 0], [0x7FFF, 0], [0, 0x7FFF]])
 
@@ -78,13 +78,13 @@ class SndarrayTest(unittest.TestCase):
                 pygame.mixer.quit()
 
         check_sound(8, 1, [0, 0x0F, 0xF0, 0xFF])
-        check_sound(8, 2, [[0, 0x80], [0x2D, 0x41], [0x64, 0xA1], [0xFF, 0x40]])
+        check_sound(8, 2, [[0, 0x80], [0x2D, 0x41], [0x64, 0xA1], [125, 0x40]])
         check_sound(16, 1, [0, 0x00FF, 0xFF00, 0xFFFF])
         check_sound(
             16, 2, [[0, 0xFFFF], [0xFFFF, 0], [0x00FF, 0xFF00], [0x0F0F, 0xF0F0]]
         )
         check_sound(-8, 1, [0, -0x80, 0x7F, 0x64])
-        check_sound(-8, 2, [[0, -0x80], [-0x64, 0x64], [0x25, -0x50], [0xFF, 0]])
+        check_sound(-8, 2, [[0, -0x80], [-0x64, 0x64], [0x25, -0x50], [-1, 0]])
         check_sound(-16, 1, [0, 0x7FFF, -0x7FFF, -1])
         check_sound(-16, 2, [[0, -0x7FFF], [-0x7FFF, 0], [0x7FFF, 0], [0, 0x7FFF]])
         check_sound(32, 2, [[0.0, -1.0], [-1.0, 0], [1.0, 0], [0, 1.0]])
@@ -123,7 +123,7 @@ class SndarrayTest(unittest.TestCase):
             16, 2, [[0, 0xFFFF], [0xFFFF, 0], [0x00FF, 0xFF00], [0x0F0F, 0xF0F0]]
         )
         check_sample(-8, 1, [0, -0x80, 0x7F, 0x64])
-        check_sample(-8, 2, [[0, -0x80], [-0x64, 0x64], [0x25, -0x50], [0xFF, 0]])
+        check_sample(-8, 2, [[0, -0x80], [-0x64, 0x64], [0x25, -0x50], [-1, 0]])
         check_sample(-16, 1, [0, 0x7FFF, -0x7FFF, -1])
         check_sample(-16, 2, [[0, -0x7FFF], [-0x7FFF, 0], [0x7FFF, 0], [0, 0x7FFF]])
         check_sample(32, 2, [[0.0, -1.0], [-1.0, 0], [1.0, 0], [0, 1.0]])
-- 
2.45.2

From 184f8b78e6952aa619e961553835c442b3db8d5c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ren=C3=A9=20Dudfield?= <renesd@gmail.com>
Date: Sun, 2 Jun 2024 13:27:34 +0200
Subject: [PATCH 3/3] surfarray_test: Fix for value out of uint32 range

Was in signed 32bit range.
---
 test/surfarray_test.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/test/surfarray_test.py b/test/surfarray_test.py
index a9d53fc4..ee74290e 100644
--- a/test/surfarray_test.py
+++ b/test/surfarray_test.py
@@ -113,10 +113,10 @@ class SurfarrayModuleTest(unittest.TestCase):
 
     def _fill_array2d(self, arr, surf):
         palette = self.test_palette
-        arr[:5, :6] = surf.map_rgb(palette[1])
-        arr[5:, :6] = surf.map_rgb(palette[2])
-        arr[:5, 6:] = surf.map_rgb(palette[3])
-        arr[5:, 6:] = surf.map_rgb(palette[4])
+        arr[:5, :6] = surf.map_rgb(palette[1]) & 0xFFFFFFFF
+        arr[5:, :6] = surf.map_rgb(palette[2]) & 0xFFFFFFFF
+        arr[:5, 6:] = surf.map_rgb(palette[3]) & 0xFFFFFFFF
+        arr[5:, 6:] = surf.map_rgb(palette[4]) & 0xFFFFFFFF
 
     def _fill_array3d(self, arr):
         palette = self.test_palette
-- 
2.45.2

